Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class LightweightSystem.EventHandler

    java.lang.Object
      org.eclipse.draw2d.LightweightSystem.EventHandler

All Implemented Interfaces:
  FocusListener, KeyListener, MouseListener

Enclosing class:
  LightweightSystem

    protected class LightweightSystem.EventHandler

extends Object
implements MouseListener, KeyListener, FocusListener

Listener used to get all necessary events from the Canvas and pass them on to the `EventDispatcher`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseListener
`MouseListener.Stub`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.KeyListener
`KeyListener.Stub`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.FocusListener
`FocusListener.Stub`

Constructor Summary
`protected` `LightweightSystem.EventHandler()`

Method Summary
`void` `focusGained(FocusEvent e)` Called when the listened to object has gained focus.
`void` `focusLost(FocusEvent e)` Called when the listened to object has lost focus.
`void` `getChild(AccessibleControlEvent e)`
`void` `getChildAtPoint(AccessibleControlEvent e)`
`void` `getChildCount(AccessibleControlEvent e)`
`void` `getChildren(AccessibleControlEvent e)`
`void` `getDefaultAction(AccessibleControlEvent e)`
`void` `getDescription(AccessibleEvent e)`
`void` `getFocus(AccessibleControlEvent e)`
`void` `getHelp(AccessibleEvent e)`
`void` `getKeyboardShortcut(AccessibleEvent e)`
`void` `getLocation(AccessibleControlEvent e)`
`void` `getName(AccessibleEvent e)`
`void` `getRole(AccessibleControlEvent e)`
`void` `getSelection(AccessibleControlEvent e)`
`void` `getState(AccessibleControlEvent e)`
`void` `getValue(AccessibleControlEvent e)`
`void` `handleEvent(Event event)`
`void` `keyPressed(KeyEvent e)` Called when a key is pressed.
`void` `keyReleased(KeyEvent e)` Called when a key is released.
`void` `keyTraversed(TraverseEvent e)`
`void` `mouseDoubleClick(MouseEvent e)`
`void` `mouseDown(MouseEvent e)`
`void` `mouseEnter(MouseEvent e)`
`void` `mouseExit(MouseEvent e)`
`void` `mouseHover(MouseEvent e)`
`void` `mouseMove(MouseEvent e)`
`void` `mouseUp(MouseEvent e)`
`void` `widgetDisposed(DisposeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.MouseListener
`mouseDoubleClicked, mousePressed, mouseReleased`

Constructor Detail

### LightweightSystem.EventHandler

    protected LightweightSystem.EventHandler()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Description copied from interface: `FocusListener`
  Called when the listened to object has gained focus.

  Specified by:
    `focusGained` in interface `FocusListener`
  Parameters:
    `e` - The FocusEvent object
  See Also:
    `FocusListener.focusGained(FocusEvent)`

### focusLost

    public void focusLost(FocusEvent e)

  Description copied from interface: `FocusListener`
  Called when the listened to object has lost focus.

  Specified by:
    `focusLost` in interface `FocusListener`
  Parameters:
    `e` - The FocusEvent object
  See Also:
    `FocusListener.focusLost(FocusEvent)`

### getChild

    public void getChild(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getChild(AccessibleControlEvent)`

### getChildAtPoint

    public void getChildAtPoint(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getChildAtPoint(AccessibleControlEvent)`

### getChildCount

    public void getChildCount(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getChildCount(AccessibleControlEvent)`

### getChildren

    public void getChildren(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getChildren(AccessibleControlEvent)`

### getDefaultAction

    public void getDefaultAction(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getDefaultAction(AccessibleControlEvent)`

### getDescription

    public void getDescription(AccessibleEvent e)

  See Also:
    `AccessibleListener#getDescription(AccessibleEvent)`

### getFocus

    public void getFocus(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getFocus(AccessibleControlEvent)`

### getHelp

    public void getHelp(AccessibleEvent e)

  See Also:
    `AccessibleListener#getHelp(AccessibleEvent)`

### getKeyboardShortcut

    public void getKeyboardShortcut(AccessibleEvent e)

  See Also:
    `AccessibleListener#getKeyboardShortcut(AccessibleEvent)`

### getLocation

    public void getLocation(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getLocation(AccessibleControlEvent)`

### getName

    public void getName(AccessibleEvent e)

  See Also:
    `AccessibleListener#getName(AccessibleEvent)`

### getRole

    public void getRole(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getRole(AccessibleControlEvent)`

### getSelection

    public void getSelection(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getSelection(AccessibleControlEvent)`

### getState

    public void getState(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getState(AccessibleControlEvent)`

### getValue

    public void getValue(AccessibleControlEvent e)

  See Also:
    `AccessibleControlListener#getValue(AccessibleControlEvent)`

### handleEvent

    public void handleEvent(Event event)

  Since:
    3.1
  See Also:
    `Listener#handleEvent(org.eclipse.swt.widgets.Event)`

### keyPressed

    public void keyPressed(KeyEvent e)

  Description copied from interface: `KeyListener`
  Called when a key is pressed.

  Specified by:
    `keyPressed` in interface `KeyListener`
  Parameters:
    `e` - The KeyEvent object
  See Also:
    `KeyListener.keyPressed(KeyEvent)`

### keyReleased

    public void keyReleased(KeyEvent e)

  Description copied from interface: `KeyListener`
  Called when a key is released.

  Specified by:
    `keyReleased` in interface `KeyListener`
  Parameters:
    `e` - The KeyEvent object
  See Also:
    `KeyListener.keyReleased(KeyEvent)`

### keyTraversed

    public void keyTraversed(TraverseEvent e)

  See Also:
    `TraverseListener#keyTraversed(TraverseEvent)`

### mouseDoubleClick

    public void mouseDoubleClick(MouseEvent e)

  See Also:
    `MouseListener#mouseDoubleClick(MouseEvent)`

### mouseDown

    public void mouseDown(MouseEvent e)

  See Also:
    `MouseListener#mouseDown(MouseEvent)`

### mouseEnter

    public void mouseEnter(MouseEvent e)

  See Also:
    `MouseTrackListener#mouseEnter(MouseEvent)`

### mouseExit

    public void mouseExit(MouseEvent e)

  See Also:
    `MouseTrackListener#mouseExit(MouseEvent)`

### mouseHover

    public void mouseHover(MouseEvent e)

  See Also:
    `MouseTrackListener#mouseHover(MouseEvent)`

### mouseMove

    public void mouseMove(MouseEvent e)

  See Also:
    `MouseMoveListener#mouseMove(MouseEvent)`

### mouseUp

    public void mouseUp(MouseEvent e)

  See Also:
    `MouseListener#mouseUp(MouseEvent)`

### widgetDisposed

    public void widgetDisposed(DisposeEvent e)

  See Also:
    `DisposeListener#widgetDisposed(DisposeEvent)`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.